Subject: Re: bug#64834: 28.2; Auctex fails to load properly

From: Robert Pluim <[email-masked]>
Date: Tue, 25 Jul 2023 12:11:41 +0200

>>>>> On Mon, 24 Jul 2023 22:24:07 +0300, Eli Zaretskii <[email-masked]> said:

    >> From: Roger Lipsett <[email-masked]>
    >> Date: Mon, 24 Jul 2023 15:17:49 -0400
    >> Cc: Eli Zaretskii <[email-masked]>, [email-masked]
    >> 
    >> However (and this is a separate problem, but I'd appreciate advice) when I start an emacs server, I
    >> get the message "Invalid image type 'svg'"; the server crashes but I'm still left with an editable file in the
    >> buffer. This happens with emacs -q as well.

    Eli> AFAIU, this means that your build of Emacs cannot display SVG images.
    Eli> Maybe it was not built with librsvg (but I thought the macOS build
    Eli> used native APIs for that?).

Thereʼs a small bug in the SVG support on macos, fixed in emacs-29 as
Bug#59081

Robert
--